# Install themeing extension
sudo dnf install gnome-shell-extension-user-theme -y

# Install adw-gtk3 theme
sudo dnf copr enable nickavem/adw-gtk3 -y
sudo dnf install adw-gtk3 -y
flatpak install -u -y flathub org.gtk.Gtk3theme.adw-gtk3 org.gtk.Gtk3theme.adw-gtk3-dark

# Install icon theme
sudo dnf install yaru-icon-theme -y

# Copy theme to local folders
mkdir ~/.icons
cp -r /usr/share/icons/Yaru-red-dark ~/.icons/Yaru-red-dark
mkdir ~/.themes
cp -r /usr/share/themes/adw-gtk3-dark ~/.themes/adw-gtk3-dark

# Apply adw-gtk3-dark theme
gsettings set org.gnome.desktop.interface gtk-theme 'adw-gtk3-dark'

# Apply cursor theme
gsettings set org.gnome.desktop.interface cursor-theme 'Yaru'

# Apply icon theme
gsettings set org.gnome.desktop.interface icon-theme 'Yaru-red-dark'

# Prefer dark color scheme
gsettings set org.gnome.desktop.interface color-scheme 'prefer-dark'

# Apply theme to Flatpak apps
flatpak override -u --filesystem=xdg-data/themes
flatpak override -u --filesystem=$HOME/.themes
flatpak override -u --filesystem=$HOME/.icons
flatpak override -u --filesystem=$HOME/.local/share/themes
flatpak override -u --env=GTK_THEME=adw-gtk3-dark
flatpak override -u --env=ICON_THEME=Yaru-red-dark

# If some app is looking broken, use:
# flatpak override -u --unset-env=GTK_THEME {app_name}
